### Name: jura
### Title: Jura data set
### Aliases: jura prediction.dat validation.dat transect.dat juragrid.dat
###   jura.grid jura.pred jura.val
### Keywords: datasets

### ** Examples

data(jura)
summary(prediction.dat)
summary(validation.dat)
summary(transect.dat)
summary(juragrid.dat)

# the commands to create the spatial objects:
require(sp)
jura.pred = prediction.dat
jura.val = validation.dat
jura.grid = juragrid.dat

jura.pred$Landuse = factor(prediction.dat$Landuse, labels=levels(juragrid.dat$Landuse))
jura.pred$Rock = factor(prediction.dat$Rock, labels=levels(juragrid.dat$Rock))
jura.val$Landuse = factor(validation.dat$Landuse, labels=levels(juragrid.dat$Landuse))
jura.val$Rock = factor(validation.dat$Rock, labels=levels(juragrid.dat$Rock))

coordinates(jura.pred) = ~Xloc+Yloc
coordinates(jura.val) = ~Xloc+Yloc
coordinates(jura.grid) = ~Xloc+Yloc
gridded(jura.grid) = TRUE



