### Name: krige
### Title: Simple, Ordinary or Universal, global or local, Point or Block
###   Kriging, or simulation.
### Aliases: krige krige.locations krige.spatial idw idw.locations
###   idw.spatial krige-methods idw-methods krige,formula,formula-method
###   krige,formula,Spatial-method krige,formula,NULL-method
###   idw,formula,formula-method idw,formula,Spatial-method
### Keywords: models

### ** Examples

data(meuse)
coordinates(meuse) = ~x+y
data(meuse.grid)
gridded(meuse.grid) = ~x+y
m <- vgm(.59, "Sph", 874, .04)
# ordinary kriging:
x <- krige(log(zinc)~1, meuse, meuse.grid, model = m)
spplot(x["var1.pred"], main = "ordinary kriging predictions")
spplot(x["var1.var"],  main = "ordinary kriging variance")
# simple kriging:
x <- krige(log(zinc)~1, meuse, meuse.grid, model = m, beta = 5.9)
# residual variogram:
m <- vgm(.4, "Sph", 954, .06)
# universal block kriging:
x <- krige(log(zinc)~x+y, meuse, meuse.grid, model = m, block = c(40,40))
spplot(x["var1.pred"], main = "universal kriging predictions")
# add grid:
#levelplot(var1.var~x+y, as.data.frame(x), aspect = "iso",
#               panel = function(...) {
#                       panel.levelplot(...)
#                       panel.abline(h = 0:3*1000 + 330000, v= 0:2*1000 + 179000, col = "grey")
#               },
#       main = "universal kriging variance")




